Supported iOS devices and OS versions

ExpoDev is supported on all Apple iOS devices running iOS version 8.0 or newer. This includes the following Apple devices:

  • iPhone (4S, 5, 5C, 5S, 6, or 6 Plus)
  • iPod touch (5th generation)
  • iPad (2, 3rd generation, Air, Pro)
  • iPad Mini (all)

Note: Devices running iOS version 5.x - 7.x will be able to download an older version of ExpoDev (1.1.2) if you have purchased the app using iTunes on a PC or Mac. Once purchased, go to the app store on your device and find ExpoDev. iTunes will then let you download an older version compatible with your device. 

Feedback and Knowledge Base